# Configs ## Retrieve configuration files **get** `/v0/projects/{project}/configs` Retrieve the configuration files for a given project. ### Path Parameters - `project: optional string` ### Query Parameters - `branch: optional string` Branch name, defaults to "main". - `include: optional string` ### Returns - `content: string` The file content ### Example ```http curl https://api.stainless.com/v0/projects/$PROJECT/configs \ -H "Authorization: Bearer $STAINLESS_API_KEY" ``` #### Response ```json { "foo": { "content": "content" } } ``` ## Generate config suggestions **post** `/v0/projects/{project}/configs/guess` Generate suggestions for changes to config files based on an OpenAPI spec. ### Path Parameters - `project: optional string` ### Body Parameters - `spec: string` OpenAPI spec - `branch: optional string` Branch name ### Returns - `content: string` The file content ### Example ```http curl https://api.stainless.com/v0/projects/$PROJECT/configs/guess \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $STAINLESS_API_KEY" \ -d '{ "spec": "spec" }' ``` #### Response ```json { "foo": { "content": "content" } } ``` ## Domain Types ### Config Retrieve Response - `ConfigRetrieveResponse = map[object { content } ]` Config files contents - `content: string` The file content ### Config Guess Response - `ConfigGuessResponse = map[object { content } ]` Config files contents - `content: string` The file content